package cmd

import (
	"fmt"
	"strings"

	"git.faercol.me/faercol/polyculeconnect/polyculeconnect/cmd"
	"github.com/spf13/cobra"
)

var appCmd = &cobra.Command{
	Use:   "app",
	Short: "Handle client applications",
	Long:  `Add, Remove or Show currently installed client applications`,
}

func printProperty(key, value string, indent int) {
	prefix := strings.Repeat("\t", indent)
	keyStr := ""
	if key != "" {
		keyStr = key + ": "
	}
	fmt.Printf("%s- %s%s\n", prefix, keyStr, value)
}

func init() {
	cmd.RootCmd.AddCommand(appCmd)
}
